Summary: SME Server panel to add sshkeys for users.
%define name smeserver-sshkeys
Name: %{name}
%define version 0.9
%define release 2
Version: %{version}
Release: %{release}%{?dist}
Distribution: SME Server
License: GPL
URL: http://www.dungog.net/sme
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}
Requires: e-smith-base, e-smith-release >= 7.0,
BuildRequires: e-smith-devtools >= 1.13.1-03
AutoReqProv: no

%description
SME Server panel to add sshkeys for users.
Optionally provides a user-manager panel where users can
add sshkeys for themselves

%changelog
* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Wed Dec 14 2005 Stephen Noble <support@dungog.net>
- mkdir ~/.ssh, chown to $user
- [0.9-2]

* Mon Dec 12 2005 Stephen Noble <support@dungog.net>
- contains sshkeys & userpanel-sshkeys
- initial release
- [0.9-1]

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre
%preun

%post
#new installs
if [ $1 = 1 ] ; then

	DBS=`find /home/e-smith/db/navigation -type f -name "navigation.*"`
	for db in $DBS ; do
		r=`/sbin/e-smith/db $db get userpanel-sshkeys 2>/dev/null`
    	if [ -z "$r" ] ; then
        	/sbin/e-smith/db $db set userpanel-sshkeys panel Description "Ssh keys" DescriptionWeight 600 Heading "Your Settings" HeadingWeight 100 2>/dev/null
    	fi
		r=`/sbin/e-smith/db $db get sshkeys 2>/dev/null`
    	if [ -z "$r" ] ; then
         	/sbin/e-smith/db $db set sshkeys panel Description "User ssh keys" DescriptionWeight 3170 Heading "Security" HeadingWeight 3000 2>/dev/null
   	    fi
	done

fi

#upgrades (and new installs)
#/sbin/e-smith/signal-event conf-userpanel

%postun
#uninstall
if [ $1 = 0 ] ; then

 DBS=`find /home/e-smith/db/navigation -type f -name "navigation.*"`
 for db in $DBS ; do
          /sbin/e-smith/db $db delete userpanel-sshkeys 2>/dev/null
          /sbin/e-smith/db $db delete sshkeys 2>/dev/null
	done
fi

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

